m4_dnl                                                  -*- m4 -*-
m4_dnl  styles.m4 -- Various stylesheets for GNU fhp
m4_dnl
m4_dnl  Copyright (C) 2001, 2002 Christian Neukirchen
m4_dnl  Substantial parts of the `GNU' stylesheet:
m4_dnl      Copyright (C) 2001 Free Software Foundation
m4_dnl
m4_dnl  This program is free software; you can redistribute it and/or modify
m4_dnl  it under the terms of the GNU General Public License as published by
m4_dnl  the Free Software Foundation; either version 2, or (at your option)
m4_dnl  any later version.
m4_dnl
m4_dnl  This program is distributed in the hope that it will be useful,
m4_dnl  but WITHOUT ANY WARRANTY; without even the implied warranty of
m4_dnl  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
m4_dnl  GNU General Public License for more details.
m4_dnl
m4_dnl  You should have received a copy of the GNU General Public License
m4_dnl  along with this program; if not, write to the Free Software
m4_dnl  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
m4_dnl  02111-1307, USA.
m4_dnl

_DefineInit_(GNU, [[
  _SetTitle_($1)
  _SetCopyright_([[Free Software Foundation, Inc.,
59 Temple Place - Suite 330, Boston, MA 02111, USA]], [[$2]],
[[Verbatim copying and distribution of this entire article is
permitted in any medium, provided this notice is preserved.
]])
  _SetAuthor_(NOTNEEDED, webmasters@www.gnu.org)

  _DefineHeading_(
    [[<LI><A HREF="[[#]]_fhp_body_label_"
       NAME="_fhp_toc_label_">]],
    [[</A></LI>]],
    [[<H4><A HREF="_fhp_toc_label_"
       NAME="_fhp_body_label_">]],
    [[</A></H4>
<P>]])

  _DefineHeading2_(
    [[<H4><A NAME="_fhp_body_label_">
        ]],
    [[</A></H4>]])

  _DefineStart_(
[[<!DOCTYPE html PUBLIC "-//IETF//DTD HTML 2.0//EN">
<HTML>
<HEAD>
<TITLE>_fhp_title_ - GNU Project - Free Software Foundation (FSF)</TITLE>
<LINK REV="made" HREF="mailto:_fhp_author_mail_">
</HEAD>
<BODY BGCOLOR="#FFFFFF" TEXT="#000000" LINK="#1F00FF" ALINK="#FF0000" VLINK="#9900DD">
<H3>_fhp_title_</H3>
m4_ifelse($3, [[atypinggnu]],
[[<A HREF="/graphics/atypinggnu.html">m4_dnl
<IMG SRC="/graphics/gnu-type-sm.jpg"
   ALT=" [image of the typing GNU] "
   WIDTH="137" HEIGHT="114"></A>]])m4_dnl
m4_ifelse($3, [[philosophicalgnu]],
[[<A HREF="/graphics/philosophicalgnu.html">m4_dnl
<IMG SRC="/graphics/philosophical-gnu-sm.jpg"
   ALT=" [image of a Philosophical Gnu] "
   WIDTH="160" HEIGHT="200"></A>]])m4_dnl
m4_ifelse($3, [[agnuhead]],
[[<A HREF="/graphics/agnuhead.html">m4_dnl
<IMG SRC="/graphics/gnu-head-sm.jpg"
   ALT=" [image of the Head of a GNU] "
   WIDTH="129" HEIGHT="122"></A>]])m4_dnl
m4_ifelse($3, [[colorfulrounded]],
[[<A HREF="/graphics/gleesons.html">m4_dnl
<IMG SRC="/graphics/gleeson_head.jpg"
   ALT=" [colorful rounded image of the Head of a GNU] "
   WIDTH="153" HEIGHT="128"></A>]])m4_dnl
m4_dnl  *** Insert more pictures here ***
m4_ifelse($3, [[none]], [[]])m4_dnl
m4_ifelse(m4_index($3, |), 0, m4_substr($3, 1))m4_dnl

[
<!-- Please keep this list alphabetical -->
<!-- PLEASE UPDATE THE LIST AT THE BOTTOM (OR TOP) OF THE PAGE TOO! -->
     <A HREF="_fhp_output_file_.html">English</A>
m4_dnl  Now insert the first language table.
m4_undivert(2)m4_dnl
<!-- | <A HREF="/_fhp_output_file_.LG.html"> LANGUAGE </A> -->
<!-- Please keep this list alphabetical -->
<!-- PLEASE UPDATE THE LIST AT THE BOTTOM (OR TOP) OF THE PAGE TOO! -->
]
<P>
<P>
<HR>
<P>

<H4>Table of Contents</H4>
<UL>
]])

  _DefineEnd_([[
m4_divert(0)</UL>

<P>
<HR>
<P>
m4_divert(1)
<HR>
[
<!-- Please keep this list alphabetical -->
<!-- PLEASE UPDATE THE LIST AT THE BOTTOM (OR TOP) OF THE PAGE TOO! -->
  <A HREF="_fhp_output_file_.html">English</A>
m4_dnl  Now insert the second language table.
m4_undivert(3)m4_dnl
<!-- | <A HREF="_fhp_output_file_.LG.html"> LANGUAGE </A> -->
<!-- Please keep this list alphabetical -->
<!-- PLEASE UPDATE THE LIST AT THE BOTTOM (OR TOP) OF THE PAGE TOO! -->
]

<HR>

Return to <A HREF="/home.html">GNU's home page</A>.
<P>
FSF &amp; GNU inquiries &amp; questions to
<A HREF="mailto:gnu@gnu.org"><EM>gnu@gnu.org</EM></A>.
Other <A HREF="/home.html#ContactInfo">ways to contact</A> the FSF.

<P>
Comments on these web pages to
<A HREF="mailto:_fhp_author_mail_"><EM>_fhp_author_mail_</EM></A>,
send other questions to
<A HREF="mailto:gnu@gnu.org"><EM>gnu@gnu.org</EM></A>.
<P>
Copyright (C) _fhp_copyright_years_ _fhp_copyright_holder_
<P>
_fhp_copyright_text_
<P>
Updated:
<!-- timestamp start -->
$[[Date]]$ $[[Author]]$
<!-- timestamp end -->
<HR>

</BODY>
</HTML>
  ]])
]])
